library OSDText;

uses
  SysUtils,
  Classes,
  sSplash in 'sSplash.pas' {_Splash};

var SaveExit: Pointer;
   frmSplash: T_Splash;
   vMsg1, vMsg2: String;

{$R *.RES}

procedure SplashInfo(vStr: PChar; vAddStr: PChar; vInterval: Integer);
var TempMsg1, TempMsg2: String;
begin
  if vInterval = 0 then Exit;
  TempMsg1 := Trim(vStr);
  TempMsg2 := Trim(vAddStr);
  if (TempMsg1 = '') and (TempMsg2 = '') then Exit;
  if TempMsg2 = '' then vMsg1 := TempMsg1;
  if TempMsg1 = '' then vMsg2 := TempMsg2 else vMsg2 := '';
  frmSplash.SplashInfo(vMsg1, vMsg2, vInterval);
end;

procedure LocalExitProc;
begin
  frmSplash.Free;
  ExitProc := SaveExit;
end;

exports SplashInfo;

begin
  SaveExit := ExitProc;
  ExitProc := @LocalExitProc;

  frmSplash := T_Splash.Create(nil);
  vMsg1 := ' RTelSignal';
  vMsg2 := ' ';
  SplashInfo('', PChar(vMsg2), 1000);
end.

