unit sSelectRunApp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, ComCtrls, ExtCtrls, StdCtrls, Buttons, DirectoryListView;

type
  TSelectMode = (smApp, smFile);

  T_SelectRunApp = class(TForm)
    Panel1: TPanel;
    cAppList: TDirectoryListView;
    FilesPanel: TPanel;
    cFilesList: TDirectoryListView;
    procedure FormCreate(Sender: TObject);
  private
    FSelectMode: TSelectMode;
    procedure SetSelectMode(const Value: TSelectMode);
  public
  published
    property SelectMode: TSelectMode read FSelectMode write SetSelectMode;
  end;


implementation

{$R *.DFM}

{ T_SelectRunApp }

procedure T_SelectRunApp.FormCreate(Sender: TObject);
begin
  Top := 0;
  Left := 0;
  Width := Screen.Width;
  Height := Screen.Height;
  cAppList.SortType := stNone;
end;

procedure T_SelectRunApp.SetSelectMode(const Value: TSelectMode);
begin
  FSelectMode := Value;
  FilesPanel.Visible := (FSelectMode = smFile);
end;

end.

