unit sProcesses;

interface

uses windows, sysutils, Tlhelp32, messages;

procedure CloseProcess(vExeFileName: string);

implementation

procedure CloseProcess(vExeFileName: string);
var hSnap: HWND;
  aProc: PROCESSENTRY32;
  lStr: string;
  DeskHdl: HWND;

  function EnumProc(wnd: HWnd; Param: LongInt): Boolean; stdcall;
  var Proc: DWORD;
    pstr: array[0..256] of Char;
  begin
    GetWindowThreadProcessId(wnd, @Proc);
    if Proc = Param then
    begin
      SendMessage(wnd, WM_CLOSE, 0, 0);
    end;
    EnumProc := true;
  end;

  procedure CompareExeName;
  begin
    if AnsiUpperCase(ExtractFileName(aProc.szExeFile)) = lStr then
      EnumChildWindows(DeskHdl, @EnumProc, aProc.th32ProcessID);
  end;

begin
  lStr := AnsiUpperCase(ExtractFileName(vExeFileName));
  DeskHdl := GetDesktopWindow;
  hSnap := CreateToolhelp32Snapshot(TH32CS_SNAPPROCESS, 0);
  Process32First(hSnap, aProc);
  CompareExeName;
  while Process32Next(hSnap, aProc) do CompareExeName;
  CloseHandle(hSnap);

end;

end.

