unit sPultKeyDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  sBaseDlgClass, Buttons, ExtCtrls, dxTL, dxCntner, ActnList, ToolWin,
  ComCtrls, StdCtrls, ImgList;

type
  T_PultKeyDlg = class(TBaseDlgClass)
    gKeys: TdxTreeList;
    gKeysCode: TdxTreeListMaskColumn;
    gKeysDescr: TdxTreeListMaskColumn;
    Panel1: TPanel;
    ActionList1: TActionList;
    AcDel: TAction;
    ToolBar2: TToolBar;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    Panel2: TPanel;
    lbCount: TStaticText;
    ImageList1: TImageList;
    procedure AcDelExecute(Sender: TObject);
    procedure gKeysCustomDrawCell(Sender: TObject; ACanvas: TCanvas;
      ARect: TRect; ANode: TdxTreeListNode; AColumn: TdxTreeListColumn;
      ASelected, AFocused, ANewItemRow: Boolean; var AText: String;
      var AColor: TColor; AFont: TFont; var AAlignment: TAlignment;
      var ADone: Boolean);
    procedure gKeysCustomDraw(Sender: TObject; ACanvas: TCanvas;
      ARect: TRect; ANode: TdxTreeListNode; AColumn: TdxTreeListColumn;
      const AText: String; AFont: TFont; var AColor: TColor; ASelected,
      AFocused: Boolean; var ADone: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

procedure T_PultKeyDlg.AcDelExecute(Sender: TObject);
begin
  if MessageDlg('  ?', mtConfirmation, [mbYes, mbNo], 0) <> mrYes then Exit;
  gKeys.FocusedNode.Free;
end;

procedure T_PultKeyDlg.gKeysCustomDrawCell(Sender: TObject;
  ACanvas: TCanvas; ARect: TRect; ANode: TdxTreeListNode;
  AColumn: TdxTreeListColumn; ASelected, AFocused, ANewItemRow: Boolean;
  var AText: String; var AColor: TColor; AFont: TFont;
  var AAlignment: TAlignment; var ADone: Boolean);
begin
 if (AColumn.Index = 1) and (AText = '') then AColor := $00CCCCFF; 

end;

procedure T_PultKeyDlg.gKeysCustomDraw(Sender: TObject; ACanvas: TCanvas;
  ARect: TRect; ANode: TdxTreeListNode; AColumn: TdxTreeListColumn;
  const AText: String; AFont: TFont; var AColor: TColor; ASelected,
  AFocused: Boolean; var ADone: Boolean);
begin
  lbCount.Caption := ' : ' + IntToStr(gKeys.Count) + ' '; 
end;

end.

